QDL(1)

NAME
qdl - Qualcomm Download

SYNOPSIS
qdl [options] <prog.mbn> (<program-xml> | <patch-xml> | <read-xml>)...

DESCRIPTION

    qdl [options] <prog.mbn> ((read | write) <address> <binary>)...

-d, --debug
    Print detailed debug info

-v, --version
    Print the current version and exit

-n, --dry-run
    Dry run execution, no device reading or flashing

-f, --allow-missing
    Allow skipping of missing files during flashing

-s, --storage=T
    Set target storage type T: <emmc|nand|nvme|spinor|ufs>

-l, --finalize-provisioning
    Provision the target storage

-i, --include=T
    Set an optional folder T to search for files

-S, --serial=T
    Select target by serial number T (e.g. <0AA94EFD>)

-u, --out-chunk-size=T
    Override chunk size for transaction with T

-t, --create-digests=T
    Generate table of digests in the T folder

-T, --slot=T
    Set slot number T for multiple storage devices

-D, --vip-table-path=T
    Use digest tables in the T folder for VIP

-h, --help
    Print this usage info

<program-xml>
    xml file containing <program> or <erase> directives

<patch-xml>
    xml file containing <patch> directives

<read-xml>
    xml file containing <read> directives

<address>
    disk address specifier, can be one of <P>, <P/S>, <P/S+L>, <name>, or <P/name>, to specify a physical partition number P, a starting sector number S, the number of sectors to follow L, or partition by "name"

Example: qdl prog_firehose_ddr.elf rawprogram*.xml patch*.xml